ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
ad_banner_access_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| set_add_limitations ($theAddLimitation)
| unsafe_select ($Condition)
| select ($Start=false, $Limit=false, $Field=false, $Order=false, $Condition= '1=1')
| create ($Record)
| delete ($id)
| select_list ($id)
| simple_select ()
| update ($id, $Record)

## Data Fields
| $NativeTable = '`umx_ad_banner`'
| $Database = false
| $DatabaseAlgorithms = false
| $Security = false
| $SecurityParser = false
| $AddLimitations = '1 = 1'

## Detailed Description

Class provides routine for ad banners.

Author
  Dodonov A.A.

Definition at line 26 of file ad_banner_access.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 65 of file ad_banner_access.php.

{
try
{
$this->Database = get_package( 'database' , 'last' , __FILE__ );
$this->DatabaseAlgorithms = get_package( 'database::database_algorithms' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->SecurityParser = get_package( 'security::security_parser' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

create | ( |  | $Record | ) |

Creating record.

Parameters

  $Record | Example for creation.

Returns
  id of the created record.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 255 of file ad_banner_access.php.

{
try
{
$Record = $this->SecurityParser->parse_parameters(
$Record , 'campaign_id:integer,allow_not_set,default_0;code:string'
);
list( $Fields , $Values ) = $this->DatabaseAlgorithms->compile_fields_values( $Record );
$id = $this->DatabaseAlgorithms->create( $this->NativeTable , $Fields , $Values );
$EventManager = get_package( 'event_manager' , 'last' , __FILE__ );
$EventManager->trigger_event( 'on_after_create_ad_banner' , array( 'id' => $id ) );
return( $id );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

delete | ( |  | $id | ) |

Deleting record from database.

Parameters

  $id | - Comma separated list of record's id.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

deleting record

Definition at line 296 of file ad_banner_access.php.

{
try
{
$id = $this->Security->get( $id , 'integer_list' );
$this->Database->delete( $this->NativeTable , "( $this->AddLimitations ) AND id IN ( $id )" );
$this->Database->commit();
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

select | ( |  | $Start = `false`,
|  |  | $Limit = `false`,
|  |  | $Field = `false`,
|  |  | $Order = `false`,
|  |  | $Condition = `'1 = 1'`
| ) |  |

Function returns list of records.

Parameters

  $Start | - Number of the first record.
  $Limit | - Count of records limitation.
  $Field | - Field to sort by.
  $Order | - Sorting order.
  $Condition | - Additional conditions.

Returns
  List of records.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 216 of file ad_banner_access.php.

{
try
{
$Condition = $this->DatabaseAlgorithms->select_condition(
$Start , $Limit , $Field , $Order , $Condition , $this->NativeTable
);
return( $this->unsafe_select( $Condition ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

select_list | ( |  | $id | ) |

Function selects list of objects.

Parameters

  $id | - Comma separated list of record's id.

Returns
  Array of records.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 335 of file ad_banner_access.php.

{
try
{
$id = $this->Security->get( $id , 'integer_list' );
return( $this->unsafe_select( $this->NativeTable.".id IN ( $id )" ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

set_add_limitations | ( |  | $theAddLimitation | ) |

Function sets additional limitations.

Parameters

  $theAddLimitation | - Additional limitations.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 110 of file ad_banner_access.php.

{
try
{
if( $this->AddLimitations === '1 = 1' )
{
$this->AddLimitations = $theAddLimitation;
}
else
{
throw( new Exception( '"AddLimitations" was already set' ) );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

simple_select | ( |  | ) |

Function selects list of objects.

Returns
  Array of records.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 367 of file ad_banner_access.php.

{
try
{
$Records = $this->unsafe_select( '1 = 1' );
foreach( $Records as $k => $v )
{
$Records[ $k ]->title = '{lang:ad_code} '.$v->code;
}
return( $Records );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

unsafe_select | ( |  | $Condition | ) |

Selecting records.

Parameters

  $Condition | - records selection condition.

Returns
  Array of objects.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 151 of file ad_banner_access.php.

{
try
{
$this->Database->query_as( DB_OBJECT );
$Records = $this->Database->select(
'* , code AS preview , IF( shows , ( 100 * clicks / shows ) , 0 ) AS ctr' ,
$this->NativeTable ,
"( $this->AddLimitations ) AND $Condition"
);
foreach( $Records as $k => $v )
{
set_field(
$Records[ $k ] , 'preview' , $this->Security->get( get_field( $v , 'code' ) , 'unsafe_string' )
);
}
return( $Records );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

update | ( |  | $id,
|  |  | $Record
| ) |  |

Updating record.

Parameters

  $id | - Comma separated list of record's id.
  $Record | - Example for update.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 408 of file ad_banner_access.php.

{
try
{
$id = $this->Security->get( $id , 'integer_list' );
$Record = $this->SecurityParser->parse_parameters(
$Record , 'campaign_id:integer,default_0;code:string' , 'allow_not_set'
);
list( $Fields , $Values ) = $this->DatabaseAlgorithms->compile_fields_values( $Record );
if( isset( $Fields[ 0 ] ) )
{
$this->Database->update(
$this->NativeTable , $Fields , $Values , "( $this->AddLimitations ) AND id IN ( $id )"
);
$this->Database->commit();
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$AddLimitations = '1 = 1'

Definition at line 90 of file ad_banner_access.php.

$Database = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 50 of file ad_banner_access.php.

$DatabaseAlgorithms = false

Definition at line 51 of file ad_banner_access.php.

$NativeTable = '`umx_ad_banner`'

Table name in wich objects of this entity are stored.

Author
  Dodonov A.A.

Definition at line 38 of file ad_banner_access.php.

$Security = false

Definition at line 52 of file ad_banner_access.php.

$SecurityParser = false

Definition at line 53 of file ad_banner_access.php.

The documentation for this class was generated from the following file:

- packages/ad/packages/ad_banner/packages/ad_banner_access/ad_banner_access.php